import type { IServiceDescriptor, IServiceInstanceInfo } from "../types/index.js";
export declare class ServiceInstanceInfo<T> implements IServiceInstanceInfo<T> {
    descriptor: IServiceDescriptor<T>;
    get instance(): T;
    initialized: boolean;
    disposed: boolean;
    dependents: Set<IServiceInstanceInfo<any>>;
    private _instance;
    constructor(descriptor: IServiceDescriptor<T>);
    addInstance(instance: T): void;
    addDependent(dependent: IServiceInstanceInfo<any>): void;
    disposeSync(): void;
    disposeAsync(): Promise<void>;
}
//# sourceMappingURL=ServiceInstanceInfo.d.ts.map