import { getNameOfDescriptor } from "../../helpers/getNameOfDescriptor.js";
export function validateRequestPath(path, descriptor) {
    if (path.has(descriptor)) {
        throw new Error(`Cyclic dependency detected: ${[...path, descriptor]
            .map(getNameOfDescriptor)
            .join(" -> ")}`);
    }
}
//# sourceMappingURL=validateRequestPath.js.map